CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | Class Methods | Protected Attributes | List of all members
CGTKBase Class Reference

`#import <CGTKBase.h>`

Inheritance diagram for CGTKBase:
[legend]
Collaboration diagram for CGTKBase:
[legend]

## Instance Methods
(id) | - initWithGObject:
(GtkWidget *) | - WIDGET
(void) | - setGObject:
(GObject *) | - GOBJECT

## Class Methods
(CGTKBase *) | + withGObject:

## Protected Attributes
GObject * | __gObject

## Detailed Description

The base class for all CoreGTK wrapper classes

Definition at line 43 of file CGTKBase.h.

## Method Documentation

## ◆ GOBJECT()

- (GObject *) GOBJECT |  |  |

Gets the internal GObject

Returns
  the internal GObject

Definition at line 82 of file CGTKBase.m.

## ◆ initWithGObject:()

- (id) initWithGObject: |  | (GObject *) | obj |

Returns a new instance of CGTKBase with the internal GObject set to obj

Parameters

  obj | The internal GObject to use

Returns
  a new CGTKBase

Definition at line 48 of file CGTKBase.m.

## ◆ setGObject:()

- (void) setGObject: |  | (GObject *) | obj |

Sets the internal GObject

Parameters

  obj | The GObject to set internally

Definition at line 65 of file CGTKBase.m.

## ◆ WIDGET()

- (GtkWidget *) WIDGET |  |  |

Gets the internal GtkWidget

Returns
  the internal GtkWidget

Reimplemented in CGTKWidget.

Definition at line 60 of file CGTKBase.m.

## ◆ withGObject:()

+ (CGTKBase *) withGObject: |  | (GObject *) | obj |

Returns a new instance of CGTKBase with the internal GObject set to obj

Note: the returned object is autoreleased

Parameters

  obj | The internal GObject to use

Returns
  a new CGTKBase

Definition at line 42 of file CGTKBase.m.

## Member Data Documentation

## ◆ __gObject

- (GObject*) __gObject
| protected

The internal GtkObject pointer

Definition at line 48 of file CGTKBase.h.

The documentation for this class was generated from the following files:

- CGTKBase.h
- CGTKBase.m